com.mapinfo.midev.feature

## Class Key

- java.lang.Object
- - com.mapinfo.midev.feature.Key

All Implemented Interfaces:
  IKey, Serializable

    public final class Key
    extends Object
    implements IKey

A 'canonical' `IKey` implementation that represents a key as a string.

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()` Returns the key value.
`static Key` `valueOf(String value)` Returns the specified key (as a `String`) into a `Key`.

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### toString

    public String toString()

Returns the key value.

Overrides:
  `toString` in class `Object`
Returns:
  the key value.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### valueOf

    public static Key valueOf(String value)

Returns the specified key (as a `String`) into a `Key`.

Parameters:
  `value` - The key encoded as a String.
Returns:
  the specified key (as a `String`) into a `Key`.